### A free/open-source library for quantitative finance

Public Types | Public Member Functions
UnitedKingdom Class Reference
Calendars

United Kingdom calendars. More...

`#include <ql/time/calendars/unitedkingdom.hpp>`

Inheritance diagram for UnitedKingdom:
[legend]

List of all members.

## Public Types

enum | Market { Settlement, Exchange, Metals }
| UK calendars. More...

## Public Member Functions

| UnitedKingdom (Market market=Settlement)

## Detailed Description

United Kingdom calendars.

Public holidays (data from http://www.dti.gov.uk/er/bankhol.htm):

- Saturdays
- Sundays
- New Year's Day, January 1st (possibly moved to Monday)
- Good Friday
- Easter Monday
- Early May Bank Holiday, first Monday of May
- Spring Bank Holiday, last Monday of May
- Summer Bank Holiday, last Monday of August
- Christmas Day, December 25th (possibly moved to Monday or Tuesday)
- Boxing Day, December 26th (possibly moved to Monday or Tuesday)

Holidays for the stock exchange:

- Saturdays
- Sundays
- New Year's Day, January 1st (possibly moved to Monday)
- Good Friday
- Easter Monday
- Early May Bank Holiday, first Monday of May
- Spring Bank Holiday, last Monday of May
- Summer Bank Holiday, last Monday of August
- Christmas Day, December 25th (possibly moved to Monday or Tuesday)
- Boxing Day, December 26th (possibly moved to Monday or Tuesday)

Holidays for the metals exchange:

- Saturdays
- Sundays
- New Year's Day, January 1st (possibly moved to Monday)
- Good Friday
- Easter Monday
- Early May Bank Holiday, first Monday of May
- Spring Bank Holiday, last Monday of May
- Summer Bank Holiday, last Monday of August
- Christmas Day, December 25th (possibly moved to Monday or Tuesday)
- Boxing Day, December 26th (possibly moved to Monday or Tuesday)

Possible enhancements:
  add LIFFE

Tests:
  the correctness of the returned results is tested against a list of known holidays.

## Member Enumeration Documentation

enum Market

UK calendars.

Enumerator:

  Settlement | generic settlement calendar
  Exchange | London stock-exchange calendar.